Status of gcc 3.4.4-2

Dave Korn dave.korn@artimi.com
Thu Sep 14 09:43:00 GMT 2006


On 14 September 2006 06:23, Greg Couch wrote:

> I'm actually hoping to skip 3.4.4-2 and get gcc 3.4.6 or 4.1.1.  When I
> compile my application with 3.4.4, I'm getting an "internal compiler
> error" that I don't get with 3.4.6 on Linux.
> 
> Any news about a newer version of gcc for cygwin?


  Ok, I guess 3.4.4-2 has had enough testing now to be worth promoting to a
main release, but I'll have to roll a fresh package to fix a couple of bugs
that showed up.  I'll try and get that done over the coming week.  Then
sometime in the next couple of weeks I'll have a go at 3.4.6 and see about
making a test release of that.

  If you can produce a small, self-contained testcase, in the form of a
pre-processed .i file that I could compile to reproduce the crash, I could
take a look at what's going wrong and see if I can pin it down to an
identifiable bug that was fixed between 3.4.4 and 3.4.6.

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....


--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/



More information about the Cygwin mailing list